> ## Documentation Index
> Fetch the complete documentation index at: https://microstrate-1133-notifications-prefs.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete OAuth connection

> Delete an OAuth connection for a specific integration



## OpenAPI

````yaml /api-reference/endpoint/hub-flows/openapi.json delete /hub/integrations/{integration_id}/oauth-connections/{connection_id}
openapi: 3.0.0
info:
  title: quiva.ai Gateway
  description: API for managing collections, nodes, and workflows in quiva.ai Hub
  version: 0.1.0
  contact:
    name: quiva.ai Support
servers:
  - url: https://api.quiva.ai
    description: Production API server
security:
  - bearerAuth: []
  - apiKeyAuth: []
tags:
  - name: Collections
    description: Operations related to collections
  - name: Nodes
    description: Operations related to nodes
  - name: Workflows
    description: Operations related to workflows
  - name: Oauth
    description: Oauth configurations and connections
paths:
  /hub/integrations/{integration_id}/oauth-connections/{connection_id}:
    delete:
      tags:
        - Oauth
      summary: Delete OAuth connection
      description: Delete an OAuth connection for a specific integration
      operationId: deleteIntegrationsOauthConnection
      parameters:
        - $ref: '#/components/parameters/integrationId'
        - $ref: '#/components/parameters/connectionId'
      responses:
        '200':
          description: Connection deleted successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccessResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  parameters:
    integrationId:
      name: integration_id
      in: path
      required: true
      schema:
        type: string
      description: Integration identifier
      example: slack
    connectionId:
      name: connection_id
      in: path
      required: true
      schema:
        type: string
      description: Connection identifier
      example: maria
  schemas:
    SuccessResponse:
      type: object
      properties:
        message:
          type: string
          description: Success message
    Error:
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key

````